/******************************************
	PURPOSE:	Proximity Sensor Example
	Created by      Rudy Schlaf inspired by a sketch by Sam Leong (www.b2cqshop.com)
	DATE:		1/2014
*******************************************/

#define echoPin 8  // This is the echo pin
#define triggerPin 9 // This is the trigger pin

/***************************setup function****************************************************/

void setup() {
  Serial.begin(115200);//start serial communication
  pinMode(echoPin, INPUT);//set pinmodes
  pinMode(triggerPin, OUTPUT);
}

/***************************main loop*********************************************************/

void loop() {
  Serial.print("The distance is :  ");
  
  digitalWrite(triggerPin, HIGH); // make a 10usec pulse
  delayMicroseconds(10);
  digitalWrite(triggerPin, LOW);
  
  int distance = pulseIn(echoPin,HIGH);  //now read the pulse that is sent back by the sensor
                                          //pulseIn returns the pulse length in usec
  
  distance= distance/58;                  //the distance in [cm] is calculated by pulselength[usec]/58  
  
  Serial.print(distance,DEC);// send the measurement to the serial monitor
  Serial.println(" cm");
  delay(500);
}
